[GE users] Problem of install ARCO with postgresql

wzlu wzlu at gate.sinica.edu.tw
Tue Apr 1 03:28:37 BST 2008


    [ The following text is in the "Big5" character set. ]
    [ Your display is set for the "ISO-8859-10" character set.  ]
    [ Some characters may be displayed incorrectly. ]

Dear All:

I am trying to install ARCO with postgresql. The connection to database
test seem ok and the database model upgrade to version 6. The install
script ask for the name of TABLESPACE for tables and the name of
TABLESPACE for indexes.
I used the default value for the 2 question then I get following error
message. How to finished the ARCO installation?
Thanks a lot.

Best Regards,

Wei-Zhao Lu

The configuration:
OS: RHEL 5.1
Kernel: 2.6.18-53.el5xen
Java: j2re-1.4.2_17-fcs
PostgreSQL: postgresql-8.1.9-1.el5 postgresql-server-8.1.9-1.el5
SGE: 6.1u3
ARCO: 6.1u3

The users of postgresql:
                               List of roles
 Role name  | Superuser | Create role | Create DB | Connections | Member of
------------+-----------+-------------+-----------+-------------+-----------
 arco_read  | no        | no          | no        | no limit    |
 arco_write | no        | no          | yes       | no limit    |
 postgres   | yes       | yes         | yes       | no limit    |
(3 rows)


Database connection test
------------------------

Searching for the jdbc driver org.postgresql.Driver
in directory /usr/local/sge/dbwriter/lib

OK, jdbc driver found

Should the connection to the database be tested? (y/n) [y] >>


Test db connection to
'jdbc:postgresql://pcf00245.pcf.sinica.edu.tw:5432/arco' ... OK
Query db version ... no sge tables found
New version of the database model is needed

Should the database model be upgraded to version 6? (y/n) [y] >>


Please enter the name of TABLESPACE for tables [PG_DEFAULT] >>

Please enter the name of TABLESPACE for indexes [PG_DEFAULT] >>

The ARCo web application connects to the database
with a user which has restricted access.
The name of this database user is needed to grant
him access to the sge tables.

Please enter the name of this database user [arco_read] >>
Upgrade to database model version 6 ... Install version 6.0 (id=0) -------
Create table sge_job
SEVERE: SQL error: ERROR: permission denied for tablespace pg_default

Failed (1)
Do you want to repeat database connection setup? (y/n) [y] >>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: users-help at gridengine.sunsource.net




More information about the gridengine-users mailing list